docker_kernel_min_version: '3.10'

# https://apt.dockerproject.org/repo/dists/debian-wheezy/main/filelist
docker_versioned_pkg:
  'latest': docker-engine
  '1.11': docker-engine=1.11.2-0~{{ ansible_distribution_release|lower }}
  '1.12': docker-engine=1.12.6-0~debian-{{ ansible_distribution_release|lower }}
  '1.13': docker-engine=1.13.1-0~debian-{{ ansible_distribution_release|lower }}

docker_package_info:
  pkg_mgr: apt
  pkgs:
    - name: "{{ docker_versioned_pkg[docker_version | string] }}"
      force: yes

docker_repo_key_info:
  pkg_key: apt_key
  keyserver: hkp://p80.pool.sks-keyservers.net:80
  repo_keys:
    - 58118E89F3A912897C070ADBF76221572C52609D

docker_repo_info:
  pkg_repo: apt_repository
  repos:
    - >
       deb https://apt.dockerproject.org/repo
       {{ ansible_distribution|lower }}-{{ ansible_distribution_release|lower }}
       main
